Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.svg
Enum OdfType

    java.lang.Object
      java.lang.Enum<OdfType>
          org.odftoolkit.odfdom.dom.type.svg.OdfType

All Implemented Interfaces:
  Serializable, Comparable<OdfType>

    public enum OdfType

extends Enum<OdfType>

DOM implementation of OpenDocument attribute svg:type.

Enum Constant Summary
`ROTATE`
`SCALE`
`SKEWX`
`SKEWY`
`TRANSLATE`

Method Summary
`static OdfType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SKEWY

    public static final OdfType SKEWY

### SKEWX

    public static final OdfType SKEWX

### TRANSLATE

    public static final OdfType TRANSLATE

### ROTATE

    public static final OdfType ROTATE

### SCALE

    public static final OdfType SCALE

Method Detail

### values

    public static OdfType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfType c : OdfType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfType>`
  Returns:
    return the name of OdfType

### toString

    public static String toString(OdfType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfType, see svg:type
  Returns:
    return the name of OdfType

### enumValueOf

    public static OdfType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfType
  Returns:
    return the constant of OdfType, see svg:type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.